## openssl 0.9.8n-1+maemo4+0m5

=== debian/changelog ===
openssl (0.9.8n-1+maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.9.8n-1+maemo4+0m5

 -- Lyubimkin Eugene <ext-lyubimkin.eugene@nokia.com>  Thu, 08 Jul 2010 10:20:35 +0300

openssl (0.9.8n-1+maemo4) unstable; urgency=low

  * New changelog entry just for BIFH.

 -- Eugene Lyubimkin <ext-lyubimkin.eugene@nokia.com>  Wed, 07 Jul 2010 13:31:37 +0300

openssl (0.9.8n-1+maemo2) unstable; urgency=low

  [ Vasiliy Leonenko ]
  * Fixed perl variable in Configure
  * Fixes: NB#178377 - SSU not possible from 1.0 to PE1

 -- Eugene Lyubimkin <ext-lyubimkin.eugene@nokia.com>  Wed, 07 Jul 2010 13:15:50 +0300

openssl (0.9.8n-1maemo) unstable; urgency=low

  [ Roman Borisov ]
  * New upstream release

  [ Vasiliy Leonenko ]
  * ported maemo patches from previous openssl version
  
  * Fixes: NB#145649
  * Fixes: NB#152572
  * Fixes: NB#153221

 -- Vasiliy Leonenko <EXT-Vasiliy.Leonenko@nokia.com>  Wed, 07 Jul 2010 12:41:58 +0400

openssl (0.9.8n-1) unstable; urgency=high

  * New upstream version.
    - Fixes CVE-2010-0740.
    - Drop cfb.patch, applied upstream.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 25 Mar 2010 20:30:52 +0100

openssl (0.9.8m-2) unstable; urgency=low

  * Revert CFB block length change preventing reading older files.
    (Closes: #571810, #571940)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 28 Feb 2010 22:08:49 +0100

openssl (0.9.8m-1) unstable; urgency=low

  * New upstream version
    - Implements RFC5746, reenables renegotiation but requires the extension.
    - Fixes CVE-2009-3245
    - Drop patches CVE-2009-4355.patch, CVE-2009-1378.patch,
      CVE-2009-1377.patch, CVE-2009-1379.patch, CVE-2009-3555.patch,
      CVE-2009-2409.patch, CVE-2009-1387.patch, tls_ext_v3.patch,
      no_check_self_signed.patch: applied upstream
    - pk7_mime_free.patch removed, code rewritten
    - ca.diff partially applied upstream
    - engines-path.patch adjusted, upstream made some minor changes to the
      build system.
    - some flags changed values, bump shlibs.
  * Switch to 3.0 (quilt) source package.
  * Make sure the package is properly cleaned.
  * Add ${misc:Depends} to the Depends on all packages.
  * Fix spelling of extension in the changelog file.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 27 Feb 2010 12:24:03 +0000

openssl (0.9.8k-8) unstable; urgency=high

  * Clean up zlib state so that it will be reinitialized on next use and
    not cause a memory leak.  (CVE-2009-4355, CVE-2008-1678)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 13 Jan 2010 21:26:49 +0100

openssl (0.9.8k-7) unstable; urgency=low

  * Bump the shlibs to require 0.9.8k-1.  The following symbols
    to added between g and k: AES_wrap_key, AES_unwrap_key,
    ASN1_TYPE_set1, ASN1_STRING_set0, asn1_output_data_fn,
    SMIME_read_ASN1, BN_X931_generate_Xpq, BN_X931_derive_prime_ex,
    BN_X931_generate_prime_ex, COMP_zlib_cleanup, CRYPTO_malloc_debug_init,
    int_CRYPTO_set_do_dynlock_callback, CRYPTO_set_mem_info_functions,
    CRYPTO_strdup, CRYPTO_dbg_push_info, CRYPTO_dbg_pop_info,
    CRYPTO_dbg_remove_all_info, OPENSSL_isservice, OPENSSL_init,
    ENGINE_set_load_ssl_client_cert_function,
    ENGINE_get_ssl_client_cert_function, ENGINE_load_ssl_client_cert,
    EVP_CIPHER_CTX_set_flags, EVP_CIPHER_CTX_clear_flags,
    EVP_CIPHER_CTX_test_flags, HMAC_CTX_set_flags, OCSP_sendreq_new
    OCSP_sendreq_nbio, OCSP_REQ_CTX_free, RSA_X931_derive_ex,
    RSA_X931_generate_key_ex, X509_ALGOR_set0, X509_ALGOR_get0,
    X509at_get0_data_by_OBJ, X509_get1_ocsp

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 28 Nov 2009 14:34:26 +0100

openssl (0.9.8k-6) unstable; urgency=low

  * Disable SSL/TLS renegotiation (CVE-2009-3555) (Closes: #555829)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 12 Nov 2009 18:10:31 +0000

openssl (0.9.8k-5) unstable; urgency=low

  * Don't check self signed certificate signatures in X509_verify_cert()
    (Closes: #541735)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 11 Sep 2009 15:42:32 +0200

openssl (0.9.8k-4) unstable; urgency=low

  * Split all the patches into a separate files
  * Stop undefinging HZ, the issue on alpha should be fixed.
  * Remove MD2 from digest algorithm table.  (CVE-2009-2409) (Closes: #539899)

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 11 Aug 2009 21:19:18 +0200

openssl (0.9.8k-3) unstable; urgency=low

  * Make rc4-x86_64 PIC.  Based on patch from Petr Salinger (Closes: #532336)
  * Add workaround for kfreebsd that can't see the different between
    two pipes.  Patch from Petr Salinger.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 13 Jun 2009 18:15:46 +0200

openssl (0.9.8k-2) unstable; urgency=low

  * Move libssl0.9.8-dbg to the debug section.
  * Use the rc4 assembler on kfreebsd-amd64 (Closes: #532336)
  * Split the line to generate md5-x86_64.s in the Makefile.  This will
    hopefully fix the build issue on kfreebsd that now outputs the file
    to stdout instead of the file.
  * Fix denial of service via an out-of-sequence DTLS handshake message
    (CVE-2009-1387) (Closes: #532037)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 08 Jun 2009 19:05:56 +0200

openssl (0.9.8k-1) unstable; urgency=low

  * New upstream release
    - 0.9.8i fixed denial of service via a DTLS ChangeCipherSpec packet
      that occurs before ClientHello (CVE-2009-1386)
  * Make aes-x86_64.pl use PIC.
  * Fix security issues (Closes: #530400)
    - "DTLS record buffer limitation bug." (CVE-2009-1377)
    - "DTLS fragment handling" (CVE-2009-1378)
    - "DTLS use after free" (CVE-2009-1379)
  * Fixed Configure for hurd: use -mtune=i486 instead of -m486
    Patch by Marc Dequènes (Duck) <duck@hurdfr.org> (Closes: #530459)
  * Add support for avr32 (Closes: #528648)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 16 May 2009 17:33:55 +0200

openssl (0.9.8g-16) unstable; urgency=high

  * Properly validate the length of an encoded BMPString and UniversalString
    (CVE-2009-0590)  (Closes: #522002)



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
SHELL=/bin/bash

include /usr/share/dpatch/dpatch.make

package=openssl

# For generating the manpages
export VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/^.*://' -e 's/-.*//')

# The binary architeture
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 zlib  enable-tlsext
OPT_alpha = ev4 ev5
OPT_i386  = i486 i586 i686/cmov
OPT_sparc = v8 v9
ARCHOPTS  = OPT_$(DEB_HOST_ARCH)
OPTS      = $($(ARCHOPTS))
WANTED_LIBC_VERSION = 2.3.1-10

build: patch-stamp build-stamp
build-stamp:
	dh_testdir
#	perl util/ssldir.pl /usr/lib/ssl
#	chmod +x debian/libtool
	./Configure no-shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
	make -f Makefile all
	make test
	mv libcrypto.a libcrypto.static
	mv libssl.a libssl.static
	make -f Makefile clean
	test -z "$(OPTS)" || for opt in $(OPTS); \
	do \
		set -xe; \
		./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)-$$opt; \
		make -f Makefile all; \
		make test; \
		mkdir -p $$opt; \
		mv libcrypto.so* libssl.so* $$opt/; \
		make -f Makefile clean; \
	done
	./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
	#make -f Makefile depend
	ln -sf apps/openssl.pod crypto/crypto.pod ssl/ssl.pod doc/
#	make -f Makefile linux-shared
	make -f Makefile all
	make test
#	strip apps/openssl
#	make -f Makefile clean
#	./Configure --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 debian-$(DEB_HOST_ARCH)
#	make -f Makefile all
	touch build

clean: unpatch
	dh_testdir
	dh_testroot
	-rm -f build
	-./Configure $(CONFARGS) debian-$(DEB_HOST_ARCH)
	[ ! -f Makefile ] || make -f Makefile  clean clean-shared
	#-make -f Makefile  dclean
#	perl util/ssldir.pl /usr/local/ssl
	-rm -f test/.rnd test/testkey.pem test/testreq.pem test/certCA.srl
	-rm -f util/mk1mf.bak Makefile.bak `find . -name Makefile.save` 
	-rm -f crypto/pem/ctx_size
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.orig" -o -name "*.rej"`
	-rm -f certs/*.0 certs/*.1
#	-rm -rf debian/tmp debian/files* core `find debian/* -type d`
	-rm -rf core $(OPTS)
	-rm doc/*.pod
	-rm -f libcrypto.* libssl.*
	-cd test && rm -f .rnd tmp.bntest tmp.bctest *.o *.obj lib tags core .pure .nfs* *.old *.bak fluff bntest ectest  ecdsatest ecdhtest ideatest md2test  md4test md5test hmactest rc2test rc4test rc5test destest shatest sha1test sha256t sha512t mdc2test rmdtest randtest dhtest enginetest bftest casttest ssltest exptest dsatest rsa_test evp_test *.ss *.srl log dummytest newkey.pem igetest
	-rm Makefile apps/CA.pl tools/c_rehash crypto/opensslconf.h crypto/x86_64cpuid.S
	dh_clean

binary-indep:	build
	dh_testdir
	dh_testroot
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean
#	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp debian/libssl0.9.8 debian/libssl-dev
#	cd debian/tmp && install -d `cat ../dirs`
#	cd debian/libssl09 && install -d `cat ../libssl09.dirs`
#	cd debian/libssl09-dev && install -d `cat ../libssl09-dev.dirs`
	dh_installdirs
#openssl install
	make -f Makefile  install INSTALL_PREFIX=`pwd`/debian/tmp
#	rm debian/tmp/usr/share/man/man1/openssl.1
#	rm debian/tmp/usr/share/man/man3/crypto.3
#	rm debian/tmp/usr/share/man/man3/ssl.3
#	rm debian/tmp/usr/lib/libcrypto.a
#	rm debian/tmp/usr/lib/libssl.a
	# pic static libraries, nobody should need them
#	mv debian/tmp/usr/lib/libcrypto.a debian/tmp/usr/lib/libcrypto_pic.a
#	mv debian/tmp/usr/lib/libssl.a debian/tmp/usr/lib/libssl_pic.a
	cp -pf libcrypto.static debian/tmp/usr/lib/libcrypto.a
	cp -pf libssl.static debian/tmp/usr/lib/libssl.a
#	mv debian/tmp/usr/lib/ssl/bin debian/tmp/usr/bin/ssl
#	(cd debian/tmp/usr/lib/ssl; ln -s /usr/bin/ssl bin)
#	mv debian/tmp/usr/lib/ssl/include debian/tmp/usr/include/ssl
#	(cd debian/tmp/usr/lib/ssl; ln -s /usr/include/ssl include)
#	chmod -x debian/tmp/usr/lib/*.so.*
#	mv debian/tmp/usr/lib/*.a debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/lib/*.so debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/lib/*.so.*.*.* debian/libssl09/usr/lib/
#	mv debian/tmp/usr/lib/*.la debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/include debian/libssl09-dev/usr/
	mkdir -p debian/tmp/etc/ssl
	mv debian/tmp/usr/lib/ssl/{certs,openssl.cnf,private} debian/tmp/etc/ssl/
	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
	cp -pf debian/tmp/usr/lib/libcrypto.so.* debian/libcrypto0.9.8-udeb/usr/lib/
	cp -auv lib*.so* debian/tmp/usr/lib/
#	cp -auv lib*.a debian/tmp/usr/lib/
	for opt in $(OPTS); do set -xe; mkdir -p debian/tmp/usr/lib/$$opt; cp -auv $$opt/lib*.so* debian/tmp/usr/lib/$$opt/; done
	install debian/copyright debian/libssl0.9.8/usr/share/doc/libssl0.9.8/
	install debian/changelog debian/libssl0.9.8/usr/share/doc/libssl0.9.8/changelog.Debian
	install debian/copyright debian/libssl-dev/usr/share/doc/libssl-dev/
	install debian/changelog debian/libssl-dev/usr/share/doc/libssl-dev/changelog.Debian
#	(cd debian/tmp/usr/doc/openssl/doc; for f in *.doc*; do mv "$$f" "$$(echo $$f | sed -e 's/doc/txt/')";done)
#	(cd doc; for f in *; do install "$$f" ../debian/tmp/usr/share/doc/openssl/doc/"$$(echo $$f | sed -e 's/doc/txt/')";done)
#	debstd -u CHANGES* LICENSE README NEWS

	dh_installdocs CHANGES.SSLeay README NEWS debian/README.optimization
	dh_installexamples
	dh_installchangelogs CHANGES
#	dh_installmenu
#	dh_installcron
	dh_installman -popenssl
	dh_installdebconf
#	dh_undocumented c_rehash.1
	dh_movefiles
#	rmdir debian/tmp/usr/lib/ssl/lib
#	rmdir debian/tmp/usr/include/openssl
#	rmdir debian/tmp/usr/include
#	for opt in $(OPTS); do set -xe; rm -fr debian/tmp/usr/lib/$$opt; done
	dh_compress
	chmod 700 debian/openssl/etc/ssl/private
	dh_fixperms -X etc/ssl/private
	dh_strip --dbg-package=libssl0.9.8
	dh_perl -d
#	dh_suidregister
	dh_makeshlibs -V "libssl0.9.8 (>= 0.9.8m-1)" --add-udeb="libcrypto0.9.8-udeb"
	dh_shlibdeps -L libssl0.9.8 -l debian/libssl0.9.8/usr/lib
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb
	echo -en "\a"

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## openssl 0.9.8o

=== debian/changelog ===
openssl (0.9.8o-5ubuntu1.7) natty-security; urgency=low

  * SECURITY UPDATE: denial of service attack in DTLS implementation
    - debian/patches/CVE_2012-2333.patch: guard for integer overflow
      before skipping explicit IV
    - CVE-2012-2333
  * SECURITY UPDATE: million message attack (MMA) in CMS and PKCS #7
    - debian/patches/CVE-2012-0884.patch: use a random key if RSA
      decryption fails to avoid leaking timing information
    - CVE-2012-0884
  * debian/patches/CVE-2012-0884-extra.patch: detect symmetric crypto
    errors in PKCS7_decrypt and initialize tkeylen properly when
    encrypting CMS messages.

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 22 May 2012 15:25:06 -0700

openssl (0.9.8o-5ubuntu1.5) natty-security; urgency=low

  * SECURITY UPDATE: incomplete fix for CVE-2012-2110
    - debian/patches/CVE-2012-2131.patch: also verify 'len' in BUF_MEM_grow
      and BUF_MEM_grow_clean is non-negative
    - CVE-2012-2131
  * debian/patches/CVE-2012-2110b.patch: Use correct error code in
    BUF_MEM_grow_clean()

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 24 Apr 2012 08:14:16 -0500

openssl (0.9.8o-5ubuntu1.4) natty-security; urgency=low

  * SECURITY UPDATE: NULL pointer dereference in S/MIME messages with broken
    headers
    - debian/patches/CVE-2006-7250+2012-1165.patch: adjust mime_hdr_cmp()
      and mime_param_cmp() to not dereference the compared strings if either
      is NULL
    - CVE-2006-7250
    - CVE-2012-1165
  * SECURITY UPDATE: fix various overflows
    - debian/patches/CVE-2012-2110.patch: adjust crypto/a_d2i_fp.c,
      crypto/buffer.c and crypto/mem.c to verify size of lengths
    - CVE-2012-2110

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 19 Apr 2012 09:39:15 -0500

openssl (0.9.8o-5ubuntu1.2) natty-security; urgency=low

  * SECURITY UPDATE: ECDSA private key timing attack
    - debian/patches/CVE-2011-1945.patch: compute with fixed scalar
      length
    - CVE-2011-1945
  * SECURITY UPDATE: ECDH ciphersuite denial of service
    - debian/patches/CVE-2011-3210.patch: fix memory usage for thread
      safety
    - CVE-2011-3210
  * SECURITY UPDATE: DTLS plaintext recovery attack
    - debian/patches/CVE-2011-4108.patch: perform all computations
      before discarding messages
    - CVE-2011-4108
  * SECURITY UPDATE: policy check double free vulnerability
    - debian/patches/CVE-2011-4019.patch: only free domain policyin
      one location
    - CVE-2011-4019
  * SECURITY UPDATE: SSL 3.0 block padding exposure
    - debian/patches/CVE-2011-4576.patch: clear bytes used for block
      padding of SSL 3.0 records.
    - CVE-2011-4576
  * SECURITY UPDATE: malformed RFC 3779 data denial of service attack
    - debian/patches/CVE-2011-4577.patch: prevent malformed RFC3779
      data from triggering an assertion failure
    - CVE-2011-4577
  * SECURITY UPDATE: Server Gated Cryptography (SGC) denial of service
    - debian/patches/CVE-2011-4619.patch: Only allow one SGC handshake
      restart for SSL/TLS.
    - CVE-2011-4619
  * SECURITY UPDATE: fix for CVE-2011-4108 denial of service attack
    - debian/patches/CVE-2012-0050.patch: improve handling of DTLS MAC
    - CVE-2012-0050
  * debian/libssl0.9.8.postinst: Only issue the reboot notification for
    servers by testing that the X server is not running (LP: #244250)

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 31 Jan 2012 01:27:53 -0800

openssl (0.9.8o-5ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #718205)
    - d/libssl0.9.8.postinst:
      + Display a system restart required notification bubble
        on libssl0.9.8 upgrade.
      + Use a different priority for libssl0.9.8/restart-services
        depending on whether a desktop, or server dist-upgrade
        is being performed.
    - d/{libssl0.9.8-udeb.dirs, control, rules}: Create
      libssl0.9.8-udeb, for the benefit of wget-udeb (no wget-udeb
      package in Debian).
    - d/{libcrypto0.9.8-udeb.dirs, libssl0.9.8.dirs, libssl0.9.8.files,
      rules}: Move runtime libraries to /lib, for the benefit of wpasupplicant.
    - d/{control, openssl-doc.docs, openssl.docs, openssl.dirs}:
      + Ship documentation in openssl-doc, suggested by the package.
       (Closes: #470594)
    - d/p/aesni.patch: Backport Intel AES-NI support from
      http://rt.openssl.org/Ticket/Display.html?id=2067 (refreshed)
    - d/p/Bsymbolic-functions.patch: Link using -Bsymbolic-functions.
    - d/p/perlpath-quilt.patch: Don't change perl #! paths under .pc.
    - d/p/no-sslv2.patch: Disable SSLv2 to match NSS and GnuTLS.
      The protocol is unsafe and extremely deprecated. (Closes: #589706)
    - d/rules:
      + Disable SSLv2 during compile. (Closes: #589706)
      + Don't run 'make test' when cross-building.
      + Use host compiler when cross-building. Patch from Neil Williams.
        (Closes: #465248)
      + Don't build for processors no longer supported: i486, i586
        (on i386), v8 (on sparc).
      + Fix Makefile to properly clean up libs/ dirs in clean target.
        (Closes: #611667)
      + Replace duplicate files in the doc directory with symlinks.
  * This upload fixed CVE: (LP: #718208)
    - CVE-2011-0014

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 13 Feb 2011 16:10:24 +0100

openssl (0.9.8o-5) unstable; urgency=low

  * Fix OCSP stapling parse error (CVE-2011-0014)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 10 Feb 2011 20:43:43 +0100

openssl (0.9.8o-4ubuntu2) natty; urgency=low

  [ Peter Pearse ]
  * Fix Makefile to properly clean up libs/ dirs in clean target

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jan 2011 10:47:30 -0800

openssl (0.9.8o-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #693902)
    - debian/patches/Bsymbolic-functions.patch: Link using
      -Bsymbolic-functions.
    - Use a different priority for libssl0.9.8/restart-services
      depending on whether a desktop, or server dist-upgrade is being
      performed.


=== debian/control ===
Source: openssl
Build-Depends: debhelper (>= 5.0.22), binutils (>= 2.14.90.0.7), zlib1g-dev, m4, bc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>
Standards-Version: 3.8.0
Vcs-Browser: http://svn.debian.org/wsvn/pkg-openssl/openssl
Vcs-Svn: svn://svn.debian.org/pkg-openssl/openssl/

Package: openssl
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Conflicts: ssleay (<< 0.9.2b)
Suggests: ca-certificates, openssl-doc
Description: Secure Socket Layer (SSL) binary and related cryptographic tools
 This package contains the openssl binary and related tools.
 .
 It is part of the OpenSSL implementation of SSL.
 .
 You need it to perform certain cryptographic actions like:
  -  Creation of RSA, DH and DSA key parameters;
  -  Creation of X.509 certificates, CSRs and CRLs;
  -  Calculation of message digests;
  -  Encryption and decryption with ciphers;
  -  SSL/TLS client and server tests;
  -  Handling of S/MIME signed or encrypted mail.

Package: openssl-doc
Section: doc
Priority: optional
Architecture: all
Description: Secure Socket Layer (SSL) documentation
 This package contains the OpenSSL documentation.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libssl0.9.8
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ssleay (<< 0.9.2b), libssl, openssl (<< 0.9.6-2), libssl096-dev (<< 0.9.6-2)
Description: SSL shared libraries
 libssl and libcrypto shared libraries needed by programs like
 apache-ssl, telnet-ssl and openssh.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libcrypto0.9.8-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: crypto shared library - udeb
 libcrypto shared library.
 .
 Do not install it on a normal system.

Package: libssl0.9.8-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ssl shared library - udeb
 libssl shared library.
 .
 Do not install it on a normal system.

Package: libssl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libssl0.9.8 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
Conflicts: ssleay (<< 0.9.2b), libssl08-dev, libssl09-dev, libssl095a-dev, libssl096-dev
Description: SSL development libraries, header files and documentation
 libssl and libcrypto development libraries, header files and manpages.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libssl0.9.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libssl0.9.8 (= ${binary:Version}), ${misc:Depends}
Description: Symbol tables for libssl and libcrypto
 This package is part of the OpenSSL implementation of SSL.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 # Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
 SHELL=/bin/bash
 
-include /usr/share/dpatch/dpatch.make
-
 package=openssl
 
 # For generating the manpages
@@ -19,23 +17,32 @@
 
 # The binary architeture
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 zlib  enable-tlsext
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+MAKE_TEST=:
+else
+CROSS=CC=$(CC)
+MAKE_TEST=make test
+endif
+
+CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 zlib  enable-tlsext no-sslv2
 OPT_alpha = ev4 ev5
-OPT_i386  = i486 i586 i686/cmov
-OPT_sparc = v8 v9
 ARCHOPTS  = OPT_$(DEB_HOST_ARCH)
 OPTS      = $($(ARCHOPTS))
 WANTED_LIBC_VERSION = 2.3.1-10
 
-build: patch-stamp build-stamp
+build: build-stamp
 build-stamp:
 	dh_testdir
 #	perl util/ssldir.pl /usr/lib/ssl
 #	chmod +x debian/libtool
 	./Configure no-shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
-	make -f Makefile all
-	make test
+	make $(CROSS) -f Makefile all
+	$(MAKE_TEST)
 	mv libcrypto.a libcrypto.static
 	mv libssl.a libssl.static
 	make -f Makefile clean
@@ -43,29 +50,30 @@
 	do \
 		set -xe; \
 		./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)-$$opt; \
-		make -f Makefile all; \
-		make test; \
+		make $(CROSS) -f Makefile all; \
+		$(MAKE_TEST); \
 		mkdir -p $$opt; \
 		mv libcrypto.so* libssl.so* $$opt/; \
 		make -f Makefile clean; \
 	done
 	./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
-	#make -f Makefile depend
+	#make $(CROSS) -f Makefile depend
 	ln -sf apps/openssl.pod crypto/crypto.pod ssl/ssl.pod doc/
-#	make -f Makefile linux-shared
-	make -f Makefile all
-	make test
+#	make $(CROSS) -f Makefile linux-shared
+	make $(CROSS) -f Makefile all
+	$(MAKE_TEST)
 #	strip apps/openssl
 #	make -f Makefile clean
 #	./Configure --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 debian-$(DEB_HOST_ARCH)
-#	make -f Makefile all
-	touch build
+#	make $(CROSS) -f Makefile all
+	touch build-stamp
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
-	-rm -f build
+	-rm -f build-stamp
 	-./Configure $(CONFARGS) debian-$(DEB_HOST_ARCH)
+	-sed -i -e 's/rm -f/rm -rf/' Makefile
 	[ ! -f Makefile ] || make -f Makefile  clean clean-shared
 	#-make -f Makefile  dclean
 #	perl util/ssldir.pl /usr/local/ssl
@@ -122,13 +130,21 @@
 #	mv debian/tmp/usr/lib/*.so.*.*.* debian/libssl09/usr/lib/
 #	mv debian/tmp/usr/lib/*.la debian/libssl09-dev/usr/lib/
 #	mv debian/tmp/usr/include debian/libssl09-dev/usr/
+	# move runtime libraries to /lib
+	install -d debian/tmp/lib
+	mv debian/tmp/usr/lib/lib*.so.* debian/tmp/lib/
+	ln -sf /lib/$$(readlink debian/tmp/usr/lib/libcrypto.so) debian/tmp/usr/lib/libcrypto.so
+	ln -sf /lib/$$(readlink debian/tmp/usr/lib/libssl.so) debian/tmp/usr/lib/libssl.so
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
+	# leave symlinks behind due to rpath in old versions
+	for x in debian/tmp/lib/lib*.so.*; do ln -s /lib/$$(basename $$x) debian/tmp/usr/lib/$$(basename $$x); done
+endif
 	mkdir -p debian/tmp/etc/ssl
 	mv debian/tmp/usr/lib/ssl/{certs,openssl.cnf,private} debian/tmp/etc/ssl/
 	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
-	cp -pf debian/tmp/usr/lib/libcrypto.so.* debian/libcrypto0.9.8-udeb/usr/lib/
-	cp -auv lib*.so* debian/tmp/usr/lib/
-#	cp -auv lib*.a debian/tmp/usr/lib/
-	for opt in $(OPTS); do set -xe; mkdir -p debian/tmp/usr/lib/$$opt; cp -auv $$opt/lib*.so* debian/tmp/usr/lib/$$opt/; done
+	cp -pf debian/tmp/lib/libcrypto.so.* debian/libcrypto0.9.8-udeb/lib/
+	cp -pf debian/tmp/lib/libssl.so.* debian/libssl0.9.8-udeb/lib/
+	for opt in $(OPTS); do set -xe; mkdir -p debian/tmp/lib/$$opt; cp -auv $$opt/lib*.so* debian/tmp/lib/$$opt/; done
 	install debian/copyright debian/libssl0.9.8/usr/share/doc/libssl0.9.8/
 	install debian/changelog debian/libssl0.9.8/usr/share/doc/libssl0.9.8/changelog.Debian
 	install debian/copyright debian/libssl-dev/usr/share/doc/libssl-dev/
@@ -149,15 +165,22 @@
 #	rmdir debian/tmp/usr/lib/ssl/lib
 #	rmdir debian/tmp/usr/include/openssl
 #	rmdir debian/tmp/usr/include
-#	for opt in $(OPTS); do set -xe; rm -fr debian/tmp/usr/lib/$$opt; done
+#	for opt in $(OPTS); do set -xe; rm -fr debian/tmp/lib/$$opt; done
 	dh_compress
+# symlink doc files
+	for p in openssl libssl-dev; do \
+	  for f in changelog.Debian.gz changelog.gz copyright; do \
+	    ln -sf ../libssl0.9.8/$$f debian/$$p/usr/share/doc/$$p/$$f; \
+	  done; \
+	done
 	chmod 700 debian/openssl/etc/ssl/private
 	dh_fixperms -X etc/ssl/private
 	dh_strip --dbg-package=libssl0.9.8
 	dh_perl -d
 #	dh_suidregister
 	dh_makeshlibs -V "libssl0.9.8 (>= 0.9.8m-1)" --add-udeb="libcrypto0.9.8-udeb"
-	dh_shlibdeps -L libssl0.9.8 -l debian/libssl0.9.8/usr/lib
+	sed -i '/^udeb: libssl/s/libcrypto0.9.8-udeb/libssl0.9.8-udeb/' debian/libssl0.9.8/DEBIAN/shlibs
+	dh_shlibdeps -L libssl0.9.8 -l debian/libssl0.9.8/lib
 	dh_gencontrol
 	dh_installdeb
 	dh_md5sums

## openssl 0.9.9

=== DESCRIPTION ===
Package: openssl
Type: Package
Title: Toolkit for Encryption, Signatures and Certificates Based on
        OpenSSL
Version: 0.9.9
Authors@R: c(
    person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("cre", "aut")),
    person("Oliver", "Keyes", role = "ctb"))
Description: Bindings to OpenSSL libssl and libcrypto, plus custom SSH pubkey parsers.
    Supports RSA, DSA and EC curves P-256, P-384 and P-521. Cryptographic signatures
    can either be created and verified manually or via x509 certificates. AES can be
    used in cbc, ctr or gcm mode for symmetric encryption; RSA for asymmetric (public
    key) encryption or EC for Diffie Hellman. High-level envelope functions combine
    RSA and AES for encrypting arbitrary sized data. Other utilities include key
    generators, hash functions (md5, sha1, sha256, etc), base64 encoder, a secure
    random number generator, and 'bignum' math methods for manually performing
    crypto calculations on large multibyte integers.
License: MIT + file LICENSE
URL: https://github.com/jeroen/openssl#readme
BugReports: https://github.com/jeroen/openssl/issues
SystemRequirements: OpenSSL >= 1.0.1
VignetteBuilder: knitr
Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose
RoxygenNote: 6.0.1.9000
NeedsCompilation: yes
Packaged: 2017-11-10 16:52:56 UTC; jeroen
Author: Jeroen Ooms [cre, aut],
  Oliver Keyes [ctb]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-11-10 18:33:32 UTC

## openssl 1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 0.9.9
+Version: 1.0
 Authors@R: c(
     person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("cre", "aut")),
     person("Oliver", "Keyes", role = "ctb"))
@@ -23,9 +23,9 @@
 Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose
 RoxygenNote: 6.0.1.9000
 NeedsCompilation: yes
-Packaged: 2017-11-10 16:52:56 UTC; jeroen
+Packaged: 2018-02-02 08:16:13 UTC; jeroen
 Author: Jeroen Ooms [cre, aut],
   Oliver Keyes [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2017-11-10 18:33:32 UTC
+Date/Publication: 2018-02-02 18:26:41 UTC

## openssl 1.0.0d

=== debian/changelog ===
openssl (1.0.0d-3cryptodump) unstable; urgency=low

  * Non-maintainer upload.
  * BAD_BAD_BAD_BAD_BAD_BAD_BAD_BAD
  * add some stuff for mingw build
  * dump some crypto buffers for reverse engineering

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Fri, 08 Jul 2011 15:19:53 +0400

openssl (1.0.0d-3) unstable; urgency=low

  * Make it build on sparc64.  Patch from Aurelien Jarno.  (Closes: #626060)
  * Apply patches from Scott Schaefer <saschaefer@neurodiverse.org> to
    fix various pod and spelling errors. (Closes: #622820, #605561)
  * Add missing symbols for the engines (Closes: #623038)
  * More spelling fixes from Scott Schaefer (Closes: #395424)
  * Patch from Scott Schaefer to better document pkcs12 password options
    (Closes: #462489)
  * Document dgst -hmac option.  Patch by Thorsten Glaser <tg@mirbsd.de>
    (Closes: #529586)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 13 Jun 2011 12:39:54 +0200

openssl (1.0.0d-2) unstable; urgency=high

  * Make c_rehash also generate the old subject hash.  Gnutls applications
    seem to require it.  (Closes: #611102)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 13 Apr 2011 22:36:49 +0200

openssl (1.0.0d-1) unstable; urgency=low

  * New upstream version
    - Fixes CVE-2011-0014
  * Make libssl-doc Replaces/Breaks with old libssl-dev packages
    (Closes: #607609)
  * Only export the symbols we should, instead of all.
  * Add symbol file.
  * Upload to unstable

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 Apr 2011 13:19:19 +0000

openssl (1.0.0c-2) experimental; urgency=low

  * Set $ in front of {sparcv9_asm} so that the sparc v9 variant builds.
  * Always define _GNU_SOURCE, not only for Linux.
  * Drop SSL2 support (Closes: #589706)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 19 Dec 2010 16:24:16 +0100

openssl (1.0.0c-1) experimental; urgency=low

  * New upstream version (Closes: #578376)
    - New soname: Rename library packages
    - Drop patch perl-path.diff, not needed anymore
    - Drop patches CVE-2010-2939.patch, CVE-2010-3864.patch
      and CVE-2010-4180.patch: applied upstream.
    - Update Configure for the new fields for the assembler options
      per arch.  alpha now makes use of assembler.
  * Move man3 manpages and demos to libssl-doc (Closes: #470594)
  * Drop .pod files from openssl package (Closes: #518167)
  * Don't use RC4_CHAR on amd64 and drop rc4-amd64.patch
  * Stop using BF_PTR2 on (kfreebd-)amd64.
  * Drop debian-arm from the list of arches.
  * Update arm arches to use BN_LLONG RC4_CHAR RC4_CHUNK DES_INT DES_UNROLL
    BF_PTR instead of BN_LLONG DES_RISC1
  * ia64: Drop RC4_CHAR, add DES_UNROLL DES_INT
  * powerpc: Use RC4_CHAR RC4_CHUNK DES_RISC1 instead
    of DES_RISC2 DES_PTR MD2_CHAR RC4_INDEX
  * s390: Use RC4_CHAR RC4_CHUNK DES_INT DES_UNROLL instead of BN_LLONG

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 12 Dec 2010 15:37:21 +0100

=== debian/control ===
Source: openssl
Build-Depends: debhelper (>= 5.0.22), zlib1g-dev, m4, bc
Section: utils
Priority: optional
Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>
Standards-Version: 3.8.0
Vcs-Browser: http://svn.debian.org/wsvn/pkg-openssl/openssl
Vcs-Svn: svn://svn.debian.org/pkg-openssl/openssl/

Package: openssl
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: ca-certificates
Description: Secure Socket Layer (SSL) binary and related cryptographic tools
 This package contains the openssl binary and related tools.
 .
 It is part of the OpenSSL implementation of SSL.
 .
 You need it to perform certain cryptographic actions like:
  -  Creation of RSA, DH and DSA key parameters;
  -  Creation of X.509 certificates, CSRs and CRLs;
  -  Calculation of message digests;
  -  Encryption and decryption with ciphers;
  -  SSL/TLS client and server tests;
  -  Handling of S/MIME signed or encrypted mail.

Package: libssl1.0.0
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SSL shared libraries
 libssl and libcrypto shared libraries needed by programs like
 apache-ssl, telnet-ssl and openssh.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libcrypto1.0.0-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: crypto shared library - udeb
 libcrypto shared library.
 .
 Do not install it on a normal system.

Package: libssl-dev
Section: libdevel
Priority: optional
Architecture: any
Recommends: libssl-doc
Depends: libssl1.0.0 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
Description: SSL development libraries, header files and documentation
 libssl and libcrypto development libraries, header files and manpages.
 .
 It is part of the OpenSSL implementation of SSL.


Package: libssl-doc
Section: doc
Priority: optional
Architecture: all
Replaces: libssl-dev (<< 1.0.0)
Breaks: libssl-dev (<< 1.0.0)
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: SSL development documentation documentation
 libssl and libcrypto manpages and demo files.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libssl1.0.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libssl1.0.0 (= ${binary:Version}), ${misc:Depends}
Description: Symbol tables for libssl and libcrypto
 This package is part of the OpenSSL implementation of SSL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
SHELL=/bin/bash

package=openssl

# For generating the manpages
export VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/^.*://' -e 's/-.*//')

# The binary architeture
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 zlib  enable-tlsext no-ssl2
OPT_alpha = ev4 ev5
OPT_i386  = i486 i586 i686/cmov
OPT_sparc = v8 v9
ARCHOPTS  = OPT_$(DEB_HOST_ARCH)
OPTS      = $($(ARCHOPTS))
WANTED_LIBC_VERSION = 2.3.1-10

build: build-stamp
build-stamp:
	dh_testdir
#	perl util/ssldir.pl /usr/lib/ssl
#	chmod +x debian/libtool
	./Configure no-shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
	make -f Makefile all
	make test
	mv libcrypto.a libcrypto.static
	mv libssl.a libssl.static
	make -f Makefile clean
	test -z "$(OPTS)" || for opt in $(OPTS); \
	do \
		set -xe; \
		./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)-$$opt; \
		make -f Makefile all; \
		make test; \
		mkdir -p $$opt; \
		mv libcrypto.so* libssl.so* $$opt/; \
		make -f Makefile clean; \
	done
	./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
	#make -f Makefile depend
	ln -sf apps/openssl.pod crypto/crypto.pod ssl/ssl.pod doc/
#	make -f Makefile linux-shared
	make -f Makefile all
	make test
#	strip apps/openssl
#	make -f Makefile clean
#	./Configure --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 debian-$(DEB_HOST_ARCH)
#	make -f Makefile all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	-./Configure $(CONFARGS) debian-$(DEB_HOST_ARCH)
	[ ! -f Makefile ] || make -f Makefile  clean clean-shared
	#-make -f Makefile  dclean
#	perl util/ssldir.pl /usr/local/ssl
	-rm -f test/.rnd test/testkey.pem test/testreq.pem test/certCA.srl
	-rm -f util/mk1mf.bak Makefile.bak `find . -name Makefile.save` 
	-rm -f crypto/pem/ctx_size
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.orig" -o -name "*.rej"`
	-rm -f certs/*.0 certs/*.1
#	-rm -rf debian/tmp debian/files* core `find debian/* -type d`
	-rm -rf core $(OPTS)
	-rm doc/*.pod
	-rm -f libcrypto.* libssl.*
	-cd test && rm -f .rnd tmp.bntest tmp.bctest *.o *.obj lib tags core .pure .nfs* *.old *.bak fluff bntest ectest  ecdsatest ecdhtest ideatest md2test  md4test md5test hmactest rc2test rc4test rc5test destest shatest sha1test sha256t sha512t mdc2test rmdtest randtest dhtest enginetest bftest casttest ssltest exptest dsatest rsa_test evp_test *.ss *.srl log dummytest newkey.pem igetest
	-rm Makefile apps/CA.pl tools/c_rehash crypto/opensslconf.h crypto/x86_64cpuid.S
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	make -f Makefile install INSTALL_PREFIX=`pwd`/debian/tmp

binary-indep:	build install
	dh_testdir
	dh_testroot
	dh_installdirs -i
	dh_installman -plibssl-doc
	dh_installdocs -i
	dh_movefiles -i
	dh_installchangelogs -i CHANGES
	dh_compress -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_installdeb -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:	build install
	dh_testdir
	dh_testroot
	dh_installdirs -a
	# pic static libraries, nobody should need them
#	mv debian/tmp/usr/lib/libcrypto.a debian/tmp/usr/lib/libcrypto_pic.a
#	mv debian/tmp/usr/lib/libssl.a debian/tmp/usr/lib/libssl_pic.a
	cp -pf libcrypto.static debian/tmp/usr/lib/libcrypto.a
	cp -pf libssl.static debian/tmp/usr/lib/libssl.a
	mkdir -p debian/tmp/etc/ssl
	mv debian/tmp/usr/lib/ssl/{certs,openssl.cnf,private} debian/tmp/etc/ssl/
	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
	cp -pf debian/tmp/usr/lib/libcrypto.so.* debian/libcrypto1.0.0-udeb/usr/lib/
	cp -auv lib*.so* debian/tmp/usr/lib/
	for opt in $(OPTS); do set -xe; mkdir -p debian/tmp/usr/lib/$$opt; cp -auv $$opt/lib*.so* debian/tmp/usr/lib/$$opt/; done
	install debian/copyright debian/libssl1.0.0/usr/share/doc/libssl1.0.0/
	install debian/changelog debian/libssl1.0.0/usr/share/doc/libssl1.0.0/changelog.Debian
	install debian/copyright debian/libssl-dev/usr/share/doc/libssl-dev/
	install debian/changelog debian/libssl-dev/usr/share/doc/libssl-dev/changelog.Debian

	dh_installdocs -a CHANGES.SSLeay README NEWS debian/README.optimization
	dh_installexamples -a
	dh_installchangelogs -a CHANGES
	dh_installman -popenssl
	dh_installdebconf -a
	dh_movefiles -a
	dh_compress -a
	chmod 700 debian/openssl/etc/ssl/private
	dh_fixperms -a -X etc/ssl/private
	dh_strip -a --dbg-package=libssl1.0.0
	dh_perl -a -d
	dpkg-gensymbols -Pdebian/libssl1.0.0/ -plibssl1.0.0 -c4
	dh_makeshlibs -a -V "libssl1.0.0 (>= 1.0.0)" --add-udeb="libcrypto1.0.0-udeb"
	dh_shlibdeps -a -L libssl1.0.0 -l debian/libssl1.0.0/usr/lib
	dh_gencontrol -a
	dh_installdeb -a
	dh_md5sums -a
	dh_builddeb -a
	echo -en "\a"

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean install
